Oracle Linux 4 : ImageMagick (ELSA-2006-0633)

This script is Copyright (C) 2013-2015 Tenable Network Security, Inc.

Synopsis :

The remote Oracle Linux host is missing one or more security updates.

Description :

From Red Hat Security Advisory 2006:0633 :

Updated ImageMagick packages that fix several security issues are now

This update has been rated as having moderate security impact by the
Red Hat Security Response Team.

ImageMagick(TM) is an image display and manipulation tool for the X
Window System that can read and write multiple image formats.

Tavis Ormandy discovered several integer and buffer overflow flaws in
the way ImageMagick decodes XCF, SGI, and Sun bitmap graphic files. An
attacker could execute arbitrary code on a victim's machine if they
were able to trick the victim into opening a specially crafted image
file. (CVE-2006-3743, CVE-2006-3744, CVE-2006-4144)

Users of ImageMagick should upgrade to these updated packages, which
contain backported patches and are not vulnerable to these issues.

See also :

Solution :

Update the affected imagemagick packages.

Risk factor :

Medium / CVSS Base Score : 5.1
CVSS Temporal Score : 4.0
Public Exploit Available : true

Family: Oracle Linux Local Security Checks

Nessus Plugin ID: 67403 ()

Bugtraq ID: 19507

CVE ID: CVE-2006-3743